
QGIS Application - Bug report #3598

Histogram stretch to full TMS layer hangs Qgis

2011-03-11 05:34 PM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13658

Description

Histogram stretch to full dataset for TMS layers 

(e.g. http://www.gdal.org/frmt_wms_openstreetmap_tms.xml )

hangs Qgis gui (probably forever) with the 'computing statistics' status message. Shouldn't the button be disabled for TMS layers?

History

#1 - 2011-03-13 05:50 AM - Borys Jurgiel

It hangs Qgis, so I believe it's as bad as crash.

#2 - 2011-03-13 09:23 AM - Tim Sutton

Hi

Did commit:e23bd229 (SVN r15461) not fix this? I disabled the histogram stretch icon for wms layers. Please close if it is sorted out.

Regards

Tim

#3 - 2011-03-13 09:28 AM - Borys Jurgiel

Still valid, as TMS goes via the GDAL driver.

#4 - 2011-03-13 09:42 AM - Borys Jurgiel

Please note only the "stretch to full dataset" tool is affected. Stretching in the viewport works well.

#5 - 2011-04-14 03:59 AM - Redmine Admin

It has to be fixed in gdal provider.

#6 - 2011-04-15 12:59 PM - Redmine Admin

- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:0ba6f3e4 (SVN r15715).
